## ESourceWebDAVNotes

ESourceWebDAVNotes — WebDAV Notes specific settings

## Functions

const gchar * | e_source_webdav_notes_get_default_ext ()
gchar * | e_source_webdav_notes_dup_default_ext ()
void | e_source_webdav_notes_set_default_ext ()

## Types and Values

#define | E_SOURCE_EXTENSION_WEBDAV_NOTES
struct | ESourceWebDAVNotes

## Object Hierarchy

        GObject
        ╰── ESourceExtension
            ╰── ESourceWebDAVNotes

## Includes

    #include <libedataserver/libedataserver.h>

## Description

ESourceWebDAVNotes is an extension holding specific settings for the WebDAV Notes backend.

## Functions

### e_source_webdav_notes_get_default_ext ()

    const gchar *
    e_source_webdav_notes_get_default_ext (ESourceWebDAVNotes *extension);

Returns the default file extension for new notes.

#### Parameters

extension | an ESourceWebDAVNotes |

#### Returns

the default file extension, or `NULL`, when none is set.

[nullable]

Since: 3.44

### e_source_webdav_notes_dup_default_ext ()

    gchar *
    e_source_webdav_notes_dup_default_ext (ESourceWebDAVNotes *extension);

Thread-safe variation of `e_source_webdav_notes_get_default_ext()`. Use this function when accessing `extension` from multiple threads.

The returned string should be freed with `g_free()` when no longer needed.

#### Parameters

extension | an ESourceWebDAVNotes |

#### Returns

a newly-allocated copy of “default-ext”, or `NULL`, when none is set.

[nullable][transfer full]

Since: 3.44

### e_source_webdav_notes_set_default_ext ()

    void
    e_source_webdav_notes_set_default_ext (ESourceWebDAVNotes *extension,
                                           const gchar *default_ext);

Sets the default file extension for new notes.

The internal copy of `default_ext` is automatically stripped of leading and trailing whitespace. If the resulting string is empty, `NULL` is set instead.

#### Parameters

extension | an ESourceWebDAVNotes |
default_ext | a default file extension, or `NULL`. | [nullable]

Since: 3.44

## Types and Values

### E_SOURCE_EXTENSION_WEBDAV_NOTES

    #define E_SOURCE_EXTENSION_WEBDAV_NOTES "WebDAV Notes"

Pass this extension name to `e_source_get_extension()` to access ESourceWebDAVNotes. This is also used as a group name in key files.

Since: 3.44

### struct ESourceWebDAVNotes

    struct ESourceWebDAVNotes;

Contains only private data that should be read and manipulated using the functions below.

Since: 3.44